public class Node {

    private Book book;
    private Node next;

    public Node(Book book, Node next) {
        this.book = book;
        this.next = next;
    }

    public Node(Book book) {
        this.book = book;
        this.next = null;
    }

    public Book getBook() {
        return book;
    }

    public Node getNext() {
        return next;
    }

    public void setNext(Node n) {
        this.next = n;
    }
}
